#ifndef CROPPICTS_H_
#define CROPPICTS_H_

#ifndef GRAPHICSBUFFER_H_
#include "GraphicsBuffers.h"
#endif

// Dispose the output picture with KillPicture, not DisposeHandle
Boolean CapturePICT(
	const GraphicsBufferPtr	srcBuffer,
	const GraphicsBufferPtr	destBuffer,
	const Rect		*srcRect,
	const Rect		*destRect,
	PicHandle		*croppedPic);	// May be NULL if you don't wish to capture picture
									// If NULL, it just copies between buffers...
									//	and in essence working like CopyGraphicsBuffer


// Dispose the output picture with KillPicture, not DisposeHandle
Boolean CropPICT(
	const PicHandle	inputPic,
	const GraphicsBufferPtr	picBuffer,
	const GraphicsBufferPtr	destBuffer,	// OK for picBuffer & destBuffer to be same
	const Rect		*srcCropRect,
	const Rect		*destCropRect,		// OK for destArea & cropArea to be the same
	PicHandle		*croppedPic);


// It is up to the caller to create the outputFile and
// set the monitor's depth before calling CropPICSFile
OSErr CropPICSFile(
	Boolean			traversePICSByID,
	const Rect		*cropArea,
	const GDHandle	outputDevice,
	const FSSpec	*picsFile,
	const FSSpec	*outputFile);
	
#endif // CROPPICTS_H_